Bug 56226 - Sound
Summary: Sound
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-14 05:07 UTC by Need Real Name
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 21:06:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-11-14 05:07:37 UTC
Description of Problem:
ERROR: No Sound Modules Found

Version-Release number of selected component (if applicable):


How Reproducible:
/sbin/sndconfig

Steps to Reproduce:
1. login
2. su
3. /sbin/sndconfig

Actual Results:
soundcore.o was not found in the module search path

Expected Results:
Working sound

Additional Information:
The default install would allow the proper soundcard to be selected.  
However, after a re-compile of the kernel the tool displayed the error.  
There is no documentation on how to add module paths.

Comment 1 Bill Nottingham 2001-11-14 05:13:05 UTC
Did you set CONFIG_SOUND=Y in your kernel config?

Comment 2 Need Real Name 2001-11-14 20:31:17 UTC
Yes config_sound=y

Comment 3 Need Real Name 2001-11-14 22:59:20 UTC
Booting the computer often hangs when loading PCMCIA

Comment 4 Need Real Name 2001-11-15 00:13:42 UTC
opl3sa2: not setting ymode, it must be one of 0,1,2,3
opl3sa2: not setting loopback, it must be either 0 or 1

Comment 5 Need Real Name 2001-11-15 17:10:44 UTC
Fixed by adding necessary kernel perameters to /etc/grub.conf  
Sound system (built into kernel) is detected however it does not work
Is the kernel defunct?

Comment 6 Bill Nottingham 2001-11-15 17:26:06 UTC
Ah, if CONFIG_SOUND=y, then soundcore.o won't be a module, so you'll get that
error from sndconfig. It's really designed to work with the config of the
kernels we ship.

If it doesn't work built-in with the correct parameters, that does sound like a
kernel bug, yes. Note that if it's an ISAPnP card that isn't detected by the
kernel's PnP support, it's impossible for it to work compiled statically into
the kernel.

Comment 7 Need Real Name 2001-11-15 20:04:58 UTC
OK. I got sound working by compiling as a module.  However, I get a strange 
message that says:
hdc: ide_cdrom_setup failed to register device
What could be happening here?

Comment 8 Need Real Name 2001-11-17 01:29:35 UTC
Fixed that too by recompiling as a module.  Apperently this release kernel 
still has a few "bugs" in it.  Thanks for all the help.


Note You need to log in before you can comment on or make changes to this bug.